/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DTO;

import entity.MapValues;

/**
 *
 * @author install1
 */
public class MapValuesDTO {

    private int position;
    private String playerSteamID;
    private Float time;
    private int mapPoints;

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public String getPlayerSteamID() {
        return playerSteamID;
    }

    public void setPlayerSteamID(String playerSteamID) {
        this.playerSteamID = playerSteamID;
    }

    public Float getTime() {
        return time;
    }

    public void setTime(Float time) {
        this.time = time;
    }

    public int getMapPoints() {
        return mapPoints;
    }

    public void setMapPoints(int mapPoints) {
        this.mapPoints = mapPoints;
    }

    public MapValuesDTO() {
    }
    
    public MapValuesDTO(MapValues mapvalue){
        this.position = mapvalue.getPosition();
        this.playerSteamID = mapvalue.getPlayerSteamID();
        this.time = mapvalue.getTime();
        this.mapPoints = mapvalue.getMapPoints();
    }

}
